---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 6fadc9e1-dfc8-59df-815f-5a3f279c2473
      tier: AATSR_CMP_MONTH
      value: 0.009800000116229057
    brdf:
      alpha_1:
        band_1: 0.07901921251080879
        band_11: 0.21512657937861937
        band_12: 0.03282526317593087
        band_2: 0.07847401156929376
        band_3: 0.3088906643540055
        band_4: 0.08746478734293078
        band_5: 0.08752904035208492
        band_6: 0.08756819946995202
        band_7: 0.7907401321019445
        band_8: 0.7907979830525899
        band_8a: 0.7907639839370378
      alpha_2:
        band_1: 0.25104180366141166
        band_11: 0.20722286704832069
        band_12: 0.2845955841734097
        band_2: 0.251399976166159
        band_3: 0.19271672640288587
        band_4: 0.253803299377535
        band_5: 0.2537771980186701
        band_6: 0.2536810902949419
        band_7: 0.04678398910039324
        band_8: 0.046711166291498164
        band_8a: 0.04679558835034706
      id:
      - 64712592-c5eb-5859-a782-04e8e103d8af
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 9aba3ad5-ad4a-5de9-8b62-13d55671d16f
      tier: DEFINITIVE
      value: 0.252
    water_vapour:
      id:
      - 7160516c-f5be-5613-bb2e-61ed60dc74b3
      tier: DEFINITIVE
      value: 5.1099998474121096
  id: 20bd7855-a74c-46ae-bf45-a6f2d2f8a162
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1924.4796361526267
      BAND-11: 234.29476265211517
      BAND-12: 80.13030487765633
      BAND-2: 1967.198049225125
      BAND-3: 1841.9135609198015
      BAND-4: 1503.9231516076916
      BAND-5: 1388.3143242809974
      BAND-6: 1266.840968971201
      BAND-7: 1159.7211731733832
      BAND-8: 1027.1306497064568
      BAND-8A: 936.6620959476596
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2019-04-29 01:21:35.145752Z
    atime: 2022-05-26 10:25:53Z
    ctime: 2019-04-29 08:43:17Z
    mtime: 2019-04-29 08:43:14Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2A_MSIL1C_20190429T011731_N0207_R088_T53LPC_20190429T024905.zip
  system_information:
    hostname: gadi-cpu-clx-2399.gadi.nci.org.au
    runtime_id: 38fc6854-dcde-11ec-8b56-00000191fe80
    time_processed: 2022-05-26 10:25:53.849565Z
    uname: 'Linux gadi-cpu-clx-2399.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 7.0
    green: 92.0
    red: 2.0
    teal: 27.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 102
  granule: S2A_OPER_MSI_L1C_TL_EPAE_20190429T024905_A020105_T53LPC_N02.07
  ref_date: '2013-07-28T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/102/071/LC81020712013209LGN00_B6.TIF
  residual:
    abs:
      x: 0.37
      xy: 0.45
      y: 0.26
    abs_iterative_mean:
      x: 0.24
      xy: 0.29
      y: 0.16
    cep90: 0.52
    iterative_mean:
      x: 0.2
      xy: 0.23
      y: 0.1
    iterative_stddev:
      x: 0.23
      xy: 0.28
      y: 0.16
    mean:
      x: 0.2
      xy: 0.23
      y: 0.11
    stddev:
      x: 0.85
      xy: 0.93
      y: 0.38
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 26.476581427516706
    cloud: 72.9488729911267
    cloud_shadow: 0.2220171771310126
    snow: 0.3496621254460348
    water: 0.0028662787795289413
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 14.209153772143546
    cloud: 85.79084622785645
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
